import http from '@/service'

// 保存信息
export function saveBaseInfoApi(data: any) {
  return http.post(`/admin/user-sign-cert/save-base-info`, data)
}

// 发起增员/签约
export function signCertApi(data: any) {
  return http.post(`/admin/user-sign-cert/sign`, data)
}

// 签署协议
export function signAgreementApi(data: any) {
  return http.post(`/admin/user-sign-cert/sign-agreement`, data)
}

// 获取e-token
export function getETokenApi(data: any) {
  return http.get(`/admin/api/eid?idCard=${data.idCard}&realName=${data.realName}`)
}

// 获取e-token结果
export function getETokenResultApi(token: string) {
  return http.get(`/admin/api/eid/result?token=${token}`)
}

// 签约认证
export function batchCertApi(data: any) {
  return http.post(`/admin/user-sign-cert/batch-channel-cert`, data)
}

// 绑定银行卡
export function saveBankInfoApi(data: any) {
  return http.post(`/admin/user-sign-cert/save-bank-info`, data)
}
